Get all SLAs
GET /api/sla
Returns every SLA configuration you have access to.
Parameters
None.
Request
curl -X GET "$BASE_URL/api/sla" \
-H "Authorization: Bearer $JWT_TOKEN"Examples
[
{
"id": "1",
"name": "Time to Response",
"projectIds": [
"10002",
"10000",
"10003",
"10004"
],
"jql": "",
"criticalThresholdPercentage": 80,
"goals": [
{
"id": "000f1a2b-3c4d-4e5f-8a9b-000fc0d1e2f3",
"calendarId": null,
"goalType": "FIXED_DURATION",
"context": {
"duration": "1h"
},
"order": 1,
"defaultGoal": true,
"enabled": true
}
],
"enabled": true,
"calculationMethod": "ALL_CYCLES",
"eventRules": [
{
"id": "00101a2b-3c4d-4e5f-8a9b-0010c0d1e2f3",
"eventType": "START",
"sourceType": "CHANGE_HISTORY",
"context": {
"fieldType": "SYSTEM",
"fieldKey": "status",
"fieldValueType": "STATUS",
"fieldChangeType": "CHANGED_TO",
"fieldValueCondition": "EQUALS",
"values": [
{
"ids": [
"1"
],
"label": "Open"
},
{
"ids": [
"10000",
"10009"
],
"label": "To Do"
},
{
"ids": [
"10016"
],
"label": "Waiting for approval"
},
{
"ids": [
"10011"
],
"label": "Waiting for support"
},
{
"ids": [
"10012"
],
"label": "Waiting for customer"
}
]
},
"eventContext": null
},
{
"id": "00111a2b-3c4d-4e5f-8a9b-0011c0d1e2f3",
"eventType": "STOP",
"sourceType": "CHANGE_HISTORY",
"context": {
"fieldType": "SYSTEM",
"fieldKey": "status",
"fieldValueType": "STATUS",
"fieldChangeType": "CHANGED_TO",
"fieldValueCondition": "EQUALS",
"values": [
{
"ids": [
"6"
],
"label": "Closed"
},
{
"ids": [
"10002",
"10005"
],
"label": "Done"
},
{
"ids": [
"10021"
],
"label": "Completed"
},
{
"ids": [
"5"
],
"label": "Resolved"
}
]
},
"eventContext": null
}
],
"intervalRules": [],
"displayLinkedIssuesTypes": []
}
]